OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.VertexStreams

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIVertexStreams :: MonadIO m => m Bool
- gl_ATI_vertex_streams :: Bool
- gl_MAX_VERTEX_STREAMS_ATI :: GLenum
- gl_VERTEX_SOURCE_ATI :: GLenum
- gl_VERTEX_STREAM0_ATI :: GLenum
- gl_VERTEX_STREAM1_ATI :: GLenum
- gl_VERTEX_STREAM2_ATI :: GLenum
- gl_VERTEX_STREAM3_ATI :: GLenum
- gl_VERTEX_STREAM4_ATI :: GLenum
- gl_VERTEX_STREAM5_ATI :: GLenum
- gl_VERTEX_STREAM6_ATI :: GLenum
- gl_VERTEX_STREAM7_ATI :: GLenum
- glClientActiveVertexStreamATI :: MonadIO m => GLenum -> m ()
- glNormalStream3bATI :: MonadIO m => GLenum -> GLbyte -> GLbyte -> GLbyte -> m ()
- glNormalStream3bvATI :: MonadIO m => GLenum -> Ptr GLbyte -> m ()
- glNormalStream3dATI :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glNormalStream3dvATI :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glNormalStream3fATI :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glNormalStream3fvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glNormalStream3iATI :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> m ()
- glNormalStream3ivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glNormalStream3sATI :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> m ()
- glNormalStream3svATI :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glVertexBlendEnvfATI :: MonadIO m => GLenum -> GLfloat -> m ()
- glVertexBlendEnviATI :: MonadIO m => GLenum -> GLint -> m ()
- glVertexStream1dATI :: MonadIO m => GLenum -> GLdouble -> m ()
- glVertexStream1dvATI :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glVertexStream1fATI :: MonadIO m => GLenum -> GLfloat -> m ()
- glVertexStream1fvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glVertexStream1iATI :: MonadIO m => GLenum -> GLint -> m ()
- glVertexStream1ivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glVertexStream1sATI :: MonadIO m => GLenum -> GLshort -> m ()
- glVertexStream1svATI :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glVertexStream2dATI :: MonadIO m => GLenum -> GLdouble -> GLdouble -> m ()
- glVertexStream2dvATI :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glVertexStream2fATI :: MonadIO m => GLenum -> GLfloat -> GLfloat -> m ()
- glVertexStream2fvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glVertexStream2iATI :: MonadIO m => GLenum -> GLint -> GLint -> m ()
- glVertexStream2ivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glVertexStream2sATI :: MonadIO m => GLenum -> GLshort -> GLshort -> m ()
- glVertexStream2svATI :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glVertexStream3dATI :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexStream3dvATI :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glVertexStream3fATI :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexStream3fvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glVertexStream3iATI :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> m ()
- glVertexStream3ivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glVertexStream3sATI :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> m ()
- glVertexStream3svATI :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glVertexStream4dATI :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexStream4dvATI :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glVertexStream4fATI :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexStream4fvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glVertexStream4iATI :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> m ()
- glVertexStream4ivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glVertexStream4sATI :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexStream4svATI :: MonadIO m => GLenum -> Ptr GLshort -> m ()

# Extension Support

glGetATIVertexStreams :: MonadIO m => m Bool

Is the ATI_vertex_streams extension supported?

gl_ATI_vertex_streams :: Bool

Is the ATI_vertex_streams extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIVertexStreams` in those cases instead.

# Enums

gl_MAX_VERTEX_STREAMS_ATI :: GLenum

gl_VERTEX_SOURCE_ATI :: GLenum

gl_VERTEX_STREAM0_ATI :: GLenum

gl_VERTEX_STREAM1_ATI :: GLenum

gl_VERTEX_STREAM2_ATI :: GLenum

gl_VERTEX_STREAM3_ATI :: GLenum

gl_VERTEX_STREAM4_ATI :: GLenum

gl_VERTEX_STREAM5_ATI :: GLenum

gl_VERTEX_STREAM6_ATI :: GLenum

gl_VERTEX_STREAM7_ATI :: GLenum

# Functions

glClientActiveVertexStreamATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> m () |

glNormalStream3bATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLbyte | `nx`.
-> GLbyte | `ny`.
-> GLbyte | `nz`.
-> m () |

glNormalStream3bvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLbyte | `coords` pointing to `3` elements of type `GLbyte`.
-> m () |

glNormalStream3dATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLdouble | `nx`.
-> GLdouble | `ny`.
-> GLdouble | `nz`.
-> m () |

glNormalStream3dvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLdouble | `coords` pointing to `3` elements of type `GLdouble`.
-> m () |

glNormalStream3fATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> m () |

glNormalStream3fvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLfloat | `coords` pointing to `3` elements of type `GLfloat`.
-> m () |

glNormalStream3iATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLint | `nx`.
-> GLint | `ny`.
-> GLint | `nz`.
-> m () |

glNormalStream3ivATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLint | `coords` pointing to `3` elements of type `GLint`.
-> m () |

glNormalStream3sATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLshort | `nx`.
-> GLshort | `ny`.
-> GLshort | `nz`.
-> m () |

glNormalStream3svATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLshort | `coords` pointing to `3` elements of type `GLshort`.
-> m () |

glVertexBlendEnvfATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `VertexStreamATI`.
-> GLfloat | `param`.
-> m () |

glVertexBlendEnviATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `VertexStreamATI`.
-> GLint | `param`.
-> m () |

glVertexStream1dATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLdouble | `x`.
-> m () |

glVertexStream1dvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLdouble | `coords` pointing to `1` element of type `GLdouble`.
-> m () |

glVertexStream1fATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLfloat | `x`.
-> m () |

glVertexStream1fvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLfloat | `coords` pointing to `1` element of type `GLfloat`.
-> m () |

glVertexStream1iATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLint | `x`.
-> m () |

glVertexStream1ivATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLint | `coords` pointing to `1` element of type `GLint`.
-> m () |

glVertexStream1sATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLshort | `x`.
-> m () |

glVertexStream1svATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLshort | `coords` pointing to `1` element of type `GLshort`.
-> m () |

glVertexStream2dATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

glVertexStream2dvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLdouble | `coords` pointing to `2` elements of type `GLdouble`.
-> m () |

glVertexStream2fATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

glVertexStream2fvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLfloat | `coords` pointing to `2` elements of type `GLfloat`.
-> m () |

glVertexStream2iATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLint | `x`.
-> GLint | `y`.
-> m () |

glVertexStream2ivATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLint | `coords` pointing to `2` elements of type `GLint`.
-> m () |

glVertexStream2sATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

glVertexStream2svATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLshort | `coords` pointing to `2` elements of type `GLshort`.
-> m () |

glVertexStream3dATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glVertexStream3dvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLdouble | `coords` pointing to `3` elements of type `GLdouble`.
-> m () |

glVertexStream3fATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glVertexStream3fvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLfloat | `coords` pointing to `3` elements of type `GLfloat`.
-> m () |

glVertexStream3iATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> m () |

glVertexStream3ivATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLint | `coords` pointing to `3` elements of type `GLint`.
-> m () |

glVertexStream3sATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

glVertexStream3svATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLshort | `coords` pointing to `3` elements of type `GLshort`.
-> m () |

glVertexStream4dATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

glVertexStream4dvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLdouble | `coords` pointing to `4` elements of type `GLdouble`.
-> m () |

glVertexStream4fATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

glVertexStream4fvATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLfloat | `coords` pointing to `4` elements of type `GLfloat`.
-> m () |

glVertexStream4iATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

glVertexStream4ivATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLint | `coords` pointing to `4` elements of type `GLint`.
-> m () |

glVertexStream4sATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

glVertexStream4svATI

Arguments

:: MonadIO m |
=> GLenum | `stream` of type `VertexStreamATI`.
-> Ptr GLshort | `coords` pointing to `4` elements of type `GLshort`.
-> m () |